<?php

/**
 * Typography Settings
 *
 * @package bridal_jewelry_store
 */

// Typography Settings
$wp_customize->add_section(
    'bridal_jewelry_store_typography_setting',
    array(
        'panel' => 'bridal_jewelry_store_theme_options',
        'title' => esc_html__( 'Typography Settings', 'bridal-jewelry-store' ),
    )
);

$wp_customize->add_setting(
    'bridal_jewelry_store_site_title_font',
    array(
        'default'           => 'Raleway',
        'sanitize_callback' => 'bridal_jewelry_store_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'bridal_jewelry_store_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'bridal-jewelry-store' ),
        'section'  => 'bridal_jewelry_store_typography_setting',
        'settings' => 'bridal_jewelry_store_site_title_font',
        'type'     => 'select',
        'choices'  => bridal_jewelry_store_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'bridal_jewelry_store_site_description_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'bridal_jewelry_store_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'bridal_jewelry_store_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'bridal-jewelry-store' ),
		'section'  => 'bridal_jewelry_store_typography_setting',
		'settings' => 'bridal_jewelry_store_site_description_font',
		'type'     => 'select',
		'choices'  => bridal_jewelry_store_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'bridal_jewelry_store_header_font',
	array(
		'default'           => 'Cinzel',
		'sanitize_callback' => 'bridal_jewelry_store_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'bridal_jewelry_store_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'bridal-jewelry-store' ),
		'section'  => 'bridal_jewelry_store_typography_setting',
		'settings' => 'bridal_jewelry_store_header_font',
		'type'     => 'select',
		'choices'  => bridal_jewelry_store_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'bridal_jewelry_store_content_font',
	array(
		'default'           => 'Tenor Sans',
		'sanitize_callback' => 'bridal_jewelry_store_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'bridal_jewelry_store_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'bridal-jewelry-store' ),
		'section'  => 'bridal_jewelry_store_typography_setting',
		'settings' => 'bridal_jewelry_store_content_font',
		'type'     => 'select',
		'choices'  => bridal_jewelry_store_get_all_google_font_families(),
	)
);